Package org.apache.maven.scm.command.changelog

## Class ChangeLogScmRequest

- java.lang.Object
- - org.apache.maven.scm.ScmRequest
  - - org.apache.maven.scm.command.changelog.ChangeLogScmRequest

All Implemented Interfaces:
  `java.io.Serializable`

    public class ChangeLogScmRequest
    extends ScmRequest

Since:
  1.8
Author:
  Petr Kozelka
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmRequest

`parameters`

### Constructor Summary

Constructors
`ChangeLogScmRequest​(ScmRepository scmRepository, ScmFileSet scmFileSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDatePattern()`
`java.util.Date` `getEndDate()`
`ScmVersion` `getEndRevision()`
`java.lang.Integer` `getLimit()`
`int` `getNumDays()`
`ScmVersion` `getRevision()`
`ScmBranch` `getScmBranch()`
`java.util.Date` `getStartDate()`
`ScmVersion` `getStartRevision()`
`void` `setDatePattern​(java.lang.String datePattern)`
`void` `setDateRange​(java.util.Date startDate, java.util.Date endDate)`
`void` `setEndDate​(java.util.Date endDate)`
`void` `setEndRevision​(ScmVersion endRevision)`
`void` `setLimit​(java.lang.Integer limit)`
`void` `setNumDays​(int numDays)`
`void` `setRevision​(ScmVersion revision)`
`void` `setScmBranch​(ScmBranch scmBranch)`
`void` `setStartDate​(java.util.Date startDate)`
`void` `setStartRevision​(ScmVersion startRevision)`

### Methods inherited from class org.apache.maven.scm.ScmRequest

`getCommandParameters, getScmFileSet, getScmRepository, setScmFileSet, setScmRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLogScmRequest

    public ChangeLogScmRequest​(ScmRepository scmRepository,
                               ScmFileSet scmFileSet)

### Method Detail

#### getScmBranch

    public ScmBranch getScmBranch()
                           throws ScmException

Throws:
  `ScmException`

#### setScmBranch

    public void setScmBranch​(ScmBranch scmBranch)
                      throws ScmException

Throws:
  `ScmException`

#### getStartDate

    public java.util.Date getStartDate()
                                throws ScmException

Throws:
  `ScmException`

#### setStartDate

    public void setStartDate​(java.util.Date startDate)
                      throws ScmException

Parameters:
  `startDate` - the start date of the period
Throws:
  `ScmException`

#### getEndDate

    public java.util.Date getEndDate()
                              throws ScmException

Throws:
  `ScmException`

#### setEndDate

    public void setEndDate​(java.util.Date endDate)
                    throws ScmException

Parameters:
  `endDate` - the end date of the period
Throws:
  `ScmException`

#### getNumDays

    public int getNumDays()
                   throws ScmException

Throws:
  `ScmException`

#### setNumDays

    public void setNumDays​(int numDays)
                    throws ScmException

Parameters:
  `numDays` - the number days before the current time if startdate and enddate are null
Throws:
  `ScmException`

#### getStartRevision

    public ScmVersion getStartRevision()
                                throws ScmException

Throws:
  `ScmException`

#### setStartRevision

    public void setStartRevision​(ScmVersion startRevision)
                          throws ScmException

Parameters:
  `startRevision` - the start branch/tag/revision
Throws:
  `ScmException`

#### getEndRevision

    public ScmVersion getEndRevision()
                              throws ScmException

Throws:
  `ScmException`

#### setEndRevision

    public void setEndRevision​(ScmVersion endRevision)
                        throws ScmException

Parameters:
  `endRevision` - the end branch/tag/revision
Throws:
  `ScmException`

#### getDatePattern

    public java.lang.String getDatePattern()
                                    throws ScmException

Throws:
  `ScmException`

#### setDatePattern

    public void setDatePattern​(java.lang.String datePattern)
                        throws ScmException

Parameters:
  `datePattern` - the date pattern used in changelog output returned by scm tool
Throws:
  `ScmException`

#### getLimit

    public java.lang.Integer getLimit()
                               throws ScmException

Throws:
  `ScmException`

#### setLimit

    public void setLimit​(java.lang.Integer limit)
                  throws ScmException

Parameters:
  `limit` - the maximal count of returned changesets
Throws:
  `ScmException`

#### setDateRange

    public void setDateRange​(java.util.Date startDate,
                             java.util.Date endDate)
                      throws ScmException

Throws:
  `ScmException`

#### setRevision

    public void setRevision​(ScmVersion revision)
                     throws ScmException

Throws:
  `ScmException`

#### getRevision

    public ScmVersion getRevision()
                           throws ScmException

Throws:
  `ScmException`